Subject: Re: The mail list in a news group
From: [email-masked] (Carl J R Johansson)

22 Jan 1997 18:36:31 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Sender: [email-masked]
Original-To: Jim Balter <[email-masked]>
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Tue, 21 Jan 1997, Jim Balter wrote:

> 
> You must be reading a different web page than I am.  The one at
> http://www.cygnus.com/misc/gnu-32 opens with
> 
> "The GNU-WIN32 Project Page
> 
> The GNU-Win32 tools are ports of the popular GNU development tools to
> Windows NT/95 for the x86 and powerpc processors."
> 
> For those familar with it, "GNU development tools" does not mean "a
> compiler".  It includes the entire c library, at a minimum.  The page
> goes on:
> 
But I don't understand what bash, tar, gzip, ls etc. have to do with
compiling programs. There are already fully functional equivalents on 
NT. 

>     write Win32 console or GUI applications that make use of the
>     standard Microsoft Win32 API and/or the Cygwin32 API.
> 
>     easily configure and build many GNU tools from source (including
>     rebuilding the gnu-win32 development tools themselves under x86 NT).
> 
>     port many other significant UNIX programs to Windows NT/95 without
>     making significant changes to the source code.
> 
>     have a fairly full UNIX-like environment to work in, with access to
>     many of the common Unix utilities (from both the bash shell and
>     command.com).
> "
> 
> By eliminating cygwin.dll, not even the second bullet (rebuilding the
> tools themselves) can be achieved, not to mention the other items, which
> are *fundamental* to what GNU-WIN32 has become.  Note this critical bit
> from the "brief history" that follows the above:
> 
Where have I ever mentioned "eliminating cygwin.dll"? I was talking
about project priorities (Unix port or fully functional compiler, with
full support for the Win32 API as well). In my view the compiler should
be created first with all the functionality, then people could port the
programs they like with it. (Possibly adding a GUI here and there, some 
people prefer things that way.)

> None of the people asking to do this or that to cygwin has offered to
> pony up any money or time (except for one fellow who offered his help to
> Colin Peters).  Given that, I think the response "then use VC++" is
> quite a reasonable one.
> 
Not everyone is experienced enough to be able to contribute in a
meaningul manner. I thought that was obvious.

cj
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".